Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi
Interface TActivitytExtInfoList

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  TActivitytExtInfoListImpl

    public interface TActivitytExtInfoList

extends org.apache.xmlbeans.XmlObject

An XML tActivitytExtInfoList(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

Nested Class Summary
`static class` | `TActivitytExtInfoList.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`TActivityExtInfo` | `addNewActivityExtInfo()` Appends and returns a new empty value (as xml) as the last "activity-ext-info" element
`TActivityExtInfo[]` | `getActivityExtInfoArray()` Deprecated.
`TActivityExtInfo` | `getActivityExtInfoArray(int i)` Gets ith "activity-ext-info" element
`java.util.List<TActivityExtInfo>` | `getActivityExtInfoList()` Gets a List of "activity-ext-info" elements
`TActivityExtInfo` | `insertNewActivityExtInfo(int i)` Inserts and returns a new empty value (as xml) as the ith "activity-ext-info" element
`void` | `removeActivityExtInfo(int i)` Removes the ith "activity-ext-info" element
`void` | `setActivityExtInfoArray(int i, TActivityExtInfo activityExtInfo)` Sets ith "activity-ext-info" element
`void` | `setActivityExtInfoArray(TActivityExtInfo[] activityExtInfoArray)` Sets array of all "activity-ext-info" element
`int` | `sizeOfActivityExtInfoArray()` Returns number of "activity-ext-info" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getActivityExtInfoList

    java.util.List<TActivityExtInfo> getActivityExtInfoList()

  Gets a List of "activity-ext-info" elements

### getActivityExtInfoArray

    TActivityExtInfo[] getActivityExtInfoArray()

  Deprecated.

  Gets array of all "activity-ext-info" elements

### getActivityExtInfoArray

    TActivityExtInfo getActivityExtInfoArray(int i)

  Gets ith "activity-ext-info" element

### sizeOfActivityExtInfoArray

    int sizeOfActivityExtInfoArray()

  Returns number of "activity-ext-info" element

### setActivityExtInfoArray

    void setActivityExtInfoArray(TActivityExtInfo[] activityExtInfoArray)

  Sets array of all "activity-ext-info" element

### setActivityExtInfoArray

    void setActivityExtInfoArray(int i,
                                 TActivityExtInfo activityExtInfo)

  Sets ith "activity-ext-info" element

### insertNewActivityExtInfo

    TActivityExtInfo insertNewActivityExtInfo(int i)

  Inserts and returns a new empty value (as xml) as the ith "activity-ext-info" element

### addNewActivityExtInfo

    TActivityExtInfo addNewActivityExtInfo()

  Appends and returns a new empty value (as xml) as the last "activity-ext-info" element

### removeActivityExtInfo

    void removeActivityExtInfo(int i)

  Removes the ith "activity-ext-info" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD